Bug 167521 - dhclient-script is denied when rebooting
dhclient-script is denied when rebooting
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-03 18:28 EDT by Vladimir Kotal
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-06 17:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg showing selinux targeted policy problem with dhclient-script (16.26 KB, text/plain)
2005-09-03 18:30 EDT, Vladimir Kotal
no flags Details

  None (edit)
Description Vladimir Kotal 2005-09-03 18:28:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:

When rebooting my machine, which is using dhcp for interface configuration, every time I see following messages:


Sep  4 00:21:17 erazim kernel: ip_tables: (C) 2000-2002 Netfilter core team
Sep  4 00:21:17 erazim kernel: ip_conntrack version 2.1 (6143 buckets, 49144 max) - 272 bytes per conntrack
Sep  4 00:21:17 erazim kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Sep  4 00:21:17 erazim kernel: audit(1125786075.262:2): avc:  denied  { write }
for  pid=2046 comm="dhclient-script" name="resolv.conf" dev=dm-0 ino=2329799 scontext=system_u:system_r:dhcpc_t tcontext=user_u:object_r:etc_t tclass=file
Sep  4 00:21:17 erazim kernel: audit(1125786075.262:3): avc:  denied  { write }
for  pid=2046 comm="dhclient-script" name="resolv.conf" dev=dm-0 ino=2329799 scontext=system_u:system_r:dhcpc_t tcontext=user_u:object_r:etc_t tclass=file
Sep  4 00:21:17 erazim kernel: SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts


This means that dhclient-script cannot update resolv.conf


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447_FC4, selinux-policy-targeted-1.25.4-10, libselinux-1.23.10-2

How reproducible:
Always

Steps to Reproduce:
1. setup the system to use DHCP for ifc config
2. reboot the system

  

Actual Results:  I have spotted dhclient-script related messages in /var/log/messages

Expected Results:  dhclient-script should be allowed to modify /etc/resolv.conf (and the messages would not appear)

Additional info:
Comment 1 Vladimir Kotal 2005-09-03 18:30:15 EDT
Created attachment 118428 [details]
dmesg showing selinux targeted policy problem with dhclient-script
Comment 2 Daniel Walsh 2005-09-06 17:21:08 EDT
restorecon -v /etc/resolv.conf

Note You need to log in before you can comment on or make changes to this bug.